Name:       jchardet
Version:    1.1
Release:    1%{?dist}
Summary:    Java port of Mozilla's automatic character set detection algorithm
License:    MPLv1.1
Group:      Development/Libraries
Url:        http://jchardet.sourceforge.net/
Source0:    http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.zip
Source1:    http://repo1.maven.org/maven2/net/sourceforge/%{name}/%{name}/1.0/%{name}-1.0.pom

BuildRequires:  maven
BuildRequires:  maven-compiler-plugin
BuildRequires:  jpackage-utils

Requires:       java >= 1:1.6.0
Requires:       jpackage-utils
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils

Buildarch:    noarch


%description
Jchardet is a java port of the source from Mozilla's automatic
character set detection algorithm. The original author is Frank Tang. What is
available here is the java port of that code

%package javadoc
Summary:    API documentation for %{name}
Group:      Documentation
Requires:   jpackage-utils

%description javadoc
%{summary}.

%prep
%setup -q
rm -rf dist/
cp %{SOURCE1} pom.xml
# fix up the provided version
sed -i 's:<version>1.0</version>:<version>1.1</version>:' pom.xml

# remove distributionManagement.status from pom (maven stops build
# when it's there)
sed -i '/<distributionManagement>/,/<\/distributionManagement>/ d' pom.xml

# create proper dir structure
mkdir -p src/main/java/org/mozilla/intl/chardet
mv src/*java src/main/java/org/mozilla/intl/chardet

%build
mvn-rpmbuild install javadoc:aggregate

%install
# jars
install -d -m 755 %{buildroot}%{_javadir}
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%add_to_maven_depmap net.sourceforge.jchardet %{name} %{version} JPP %{name}

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap


%files
%doc LICENSE
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP-%{name}.pom
%{_javadir}/%{name}.jar


%files javadoc
%doc LICENSE
%{_javadocdir}/%{name}

%changelog
* Fri Apr 29 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.1-1
- Initial package release

